Bug 36500 - java.lang.NullPointerException WebServiceSampler.java:444
java.lang.NullPointerException WebServiceSampler.java:444
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.1
Other other
: P3 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-09-05 15:03 UTC by Ivan Rancati
Modified: 2005-09-06 16:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rancati 2005-09-05 15:03:16 UTC
I have a test plan with a WebService request.

The Name, WSDL URL, Server name, port number and path field are correctly
filled, SOAPAction is not required as this is an axis java web service.
I forgot to enter the soap/xml-rpc data in the text box, and if I select run I
get this error in jmeter.log


2005/09/05 14:58:57 ERROR - jmeter.threads.JMeterThread: 
java.lang.NullPointerException
        at
org.apache.jmeter.protocol.http.sampler.WebServiceSampler.createDocument(WebServiceSampler.java:374)
        at
org.apache.jmeter.protocol.http.sampler.WebServiceSampler.sample(WebServiceSampler.java:444)
        at
org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:503)
        at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:247)
        at java.lang.Thread.run(Thread.java:595)


Perhaps the line should do some error checking and write a more detailed error
to jmeter.log
Comment 1 Ivan Rancati 2005-09-05 15:28:15 UTC
btw, this is Jmeter 2.1 on java version "1.5.0_03", SUSE 9.3
I have both mail.jar and activation.jar 
Comment 2 Sebb 2005-09-07 00:09:32 UTC
Applied a fix to 2.1 branch